QGIS Application - Bug report #17945
Namespace missing during WFS-T Update request
2018-01-24 10:41 AM - Martin Kofahl

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Windows x86_64 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25841
Description

Using an deegree WFT-T server, it's possible to insert and remove features. However, an Update request fails. The reason is a missing
namspace for the property to update. Here's a snippet generated by QGIS 2.99:

<Property xmins="http://www.opengis.net/wfs>"

<Name xmins="http://www.opengis.net/wfs">propertyname</Name>
<Value xmiIns="http://www.opengis.net/wfs">some-text</Value>
</Property>

The target namespace of the <Transaction> request is set to http://www.opengis.net/wfs, which is fine. The typename's namespace is

declared, too. So what is missing is the namepsace for the propertyname:

<Name xmins="http://www.opengis.net/wfs">app:propertyname</Name>

Associated revisions

Revision 1e4b01bb - 2018-05-31 06:30 PM - Even Rouault

[WFS provider] Add typename prefix before attribute/geometry name for Update requests (fixes #17945)

Deegree requires those namespace prefixes. I've also verified that

GeoServer is indifferent regarding them.

Revision 9fcee524 - 2018-05-31 09:01 PM - Even Rouault

Merge pull request #7128 from rouault/fix_17945

[WFS provider] Add typename prefix before attribute/geometry name for Update requests (fixes #17945)

History

#1 - 2018-05-31 04:11 PM - Even Rouault
- Assignee set to Even Rouault

#2 - 2018-05-31 09:01 PM - Even Rouault

- % Done changed from 0 to 100
- Status changed from Open to Closed

2025-04-27 12



http://www.opengis.net/wfs

Applied in changeset commit:qgis|1e4b01bb9b3941c8603162bf5757d6423e6eabb4.
